Bug 498460 - qt: invisible text using bitmap fonts
qt: invisible text using bitmap fonts
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks: qt45-update
  Show dependency treegraph
 
Reported: 2009-04-30 11:33 EDT by Matthew Woehlke
Modified: 2009-09-21 13:14 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-21 13:14:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Woehlke 2009-04-30 11:33:20 EDT
There is invisible text in konsole as of kdebase-4.2.2-3, that did not occur with 4.2.1-2 (nor does it occur on my other machines, one also running 4.2.1-2 and one running KDE trunk that I have built myself). I am using the "Linux" color scheme, although it does not seem to make a difference.

Oddly, with my usual $PS1, I can type exactly one character and have it visible, however typing a second character is not visible and causes the first to disappear as well; backspacing the second character causes the first to become visible again.

I am using the Terminus font. My $PS1 is set as below. Please let me know if I should include the list of all updates made just before this problem began, or if there is other information I haven't thought to include.

rgb() {
        if [ $konsole ]
                then echo -e '\[\e[38;2;'$2';'$3';'$4'm\]'
                else echo -e '\[\e['$1'm\]'
        fi
}

setprompt() {
        local konsole=
        [ "$TERM" = "konsole" ] && konsole=1
        [ -n "$(env | grep KONSOLE)" ] && konsole=1

        PS1=" $(rgb 1\;31 213 86 67),$(rgb 0\;37 144 152 128)o$(rgb 1\;33 243 208 92).   $(rgb 0\;37 203 216 199)Kestrel\\[\\e[0m\\]\\n"
        PS1+="$(rgb 1\;30 59 85 86)/$(rgb 1\;30 51 69 71)/$(rgb 0\;37 119 147 150)Z$(rgb 1\;30 55 92 101)'  $(rgb 1\;36 171 194 178)\\w\\[\\e[0m\\]\\n"
        PS1+=" $(rgb 0\;31 105 64 44)|$(rgb 1\;31 210 80 56)\\\\  $(rgb 1\;33 211 156 100)\\t $(rgb 0\;37 102 110 112)\\u$(rgb 1\;37 238 234 197)\\$ \\[\\e[0m\\]"
}

setprompt
unset -f rgb setprompt
Comment 1 Rex Dieter 2009-04-30 11:41:57 EDT
To be clear, is this reproducible by you using konsole's default font and prompt?

If not, that would help narrow the issue down to this particular configuration.
Comment 2 Matthew Woehlke 2009-04-30 13:56:36 EDT
Reproducible with default prompt: yes. Not sure about default font (renaming konsolerc didn't seem to work as far as making everything defaults again), but... it's not Konsole.

While fiddling, I noticed that Terminus doesn't work, nor do Console, console8x8, Fixed or MiscFixed. Nor do they work in kwrite. Except that xterm is using one and seems fine, I'd say the entire bitmap font subsystem is hosed. Since xterm works, I guess it's just hosed for all of Qt (or at least KDE, though I wouldn't expect KDE to be bork and Qt-only to be fine).

Okay, well, here's what changed:

Apr 25 13:16:39 Updated: kernel-firmware-2.6.27.21-170.2.56.fc10.noarch
Apr 25 13:18:40 Installed: kernel-2.6.27.21-170.2.56.fc10.i686
Apr 25 13:19:10 Updated: kernel-headers-2.6.27.21-170.2.56.fc10.i386
Apr 25 13:18:54 Installed: kernel-2.6.27.21-170.2.56.fc10.i686
Apr 25 13:22:47 Erased: system-config-date
Apr 25 13:25:30 Updated: 2:vim-common-7.2.148-1.fc10.i386
Apr 25 13:25:52 Updated: 2:vim-enhanced-7.2.148-1.fc10.i386
Apr 25 13:26:02 Updated: 2:vim-minimal-7.2.148-1.fc10.i386
Apr 25 13:26:24 Updated: setup-2.7.4-4.fc10.noarch
Apr 25 13:26:38 Updated: rpm-libs-4.6.0-2.fc10.i386
Apr 25 13:27:20 Updated: rpm-4.6.0-2.fc10.i386
Apr 25 13:27:39 Updated: rpm-python-4.6.0-2.fc10.i386
Apr 25 13:29:30 Updated: rpm-4.6.0-2.fc10.i386
Apr 25 13:39:19 Updated: oxygen-icon-theme-4.2.2-1.fc10.noarch
Apr 25 13:39:45 Updated: 6:kdelibs-common-4.2.2-7.fc10.i386
Apr 25 13:41:33 Updated: selinux-policy-3.5.13-55.fc10.noarch
Apr 25 13:41:45 Installed: kdeartwork-wallpapers-4.2.2-3.fc10.noarch
Apr 25 13:41:52 Installed: kdeartwork-sounds-4.2.2-3.fc10.noarch
Apr 25 13:44:42 Updated: selinux-policy-targeted-3.5.13-55.fc10.noarch
Apr 25 13:45:11 Updated: 1:qt-4.5.0-14.fc10.i386
Apr 25 13:47:08 Updated: 1:qt-x11-4.5.0-14.fc10.i386
Apr 25 13:50:42 Updated: 6:kdelibs-4.2.2-7.fc10.i386
Apr 25 13:51:51 Updated: kdepimlibs-4.2.2-3.fc10.i386
Apr 25 13:52:41 Updated: 7:kdegraphics-libs-4.2.2-3.fc10.i386
Apr 25 13:53:01 Updated: 6:kdebase-libs-4.2.2-3.fc10.i386
Apr 25 13:53:32 Updated: 6:kdemultimedia-libs-4.2.2-2.fc10.i386
Apr 25 13:54:02 Updated: 6:kdegames-libs-4.2.2-6.fc10.i386
Apr 25 13:55:07 Installed: kdm-4.2.2-3.fc10.i386
Apr 25 13:56:47 Updated: 1:kdeaccessibility-4.2.2-1.fc10.i386
Apr 25 13:57:04 Updated: ksysguardd-4.2.2-3.fc10.i386
Apr 25 14:00:16 Updated: 6:kdegames-4.2.2-6.fc10.i386
Apr 25 14:01:37 Updated: 7:kdegraphics-4.2.2-3.fc10.i386
Apr 25 14:04:35 Updated: 1:qt-devel-4.5.0-14.fc10.i386
Apr 25 14:06:49 Updated: kdebase-runtime-4.2.2-4.fc10.i386
Apr 25 14:09:45 Updated: kdebase-workspace-4.2.2-3.fc10.i386
Apr 25 14:10:12 Updated: kdebase-workspace-libs-4.2.2-3.fc10.i386
Apr 25 14:11:07 Updated: kdebase-runtime-libs-4.2.2-4.fc10.i386
Apr 25 14:12:24 Updated: kdeplasma-addons-4.2.2-2.fc10.i386
Apr 25 14:13:41 Updated: 6:kdemultimedia-4.2.2-2.fc10.i386
Apr 25 14:15:41 Updated: 6:kdebase-4.2.2-3.fc10.i386
Apr 25 14:16:39 Updated: kdeartwork-4.2.2-3.fc10.i386
Apr 25 14:35:33 Updated: oxygen-icon-theme-4.2.2-1.fc10.noarch
Apr 25 14:35:34 Updated: 6:kdelibs-4.2.2-7.fc10.i386
Apr 25 14:35:34 Updated: 7:kdegraphics-libs-4.2.2-3.fc10.i386
Apr 25 14:35:34 Updated: 1:kdeaccessibility-4.2.2-1.fc10.i386
Apr 25 14:35:35 Updated: 6:kdegames-4.2.2-6.fc10.i386
Apr 25 14:35:35 Updated: 7:kdegraphics-4.2.2-3.fc10.i386
Apr 25 14:35:36 Updated: kdebase-runtime-4.2.2-4.fc10.i386
Apr 25 14:35:36 Updated: kdebase-workspace-4.2.2-3.fc10.i386
Apr 25 14:35:36 Updated: kdeplasma-addons-4.2.2-2.fc10.i386
Apr 25 14:35:37 Updated: 6:kdemultimedia-4.2.2-2.fc10.i386
Apr 25 14:35:37 Updated: 6:kdebase-4.2.2-3.fc10.i386
Apr 25 14:44:06 Updated: e2fsprogs-libs-1.41.4-4.fc10.i386
Apr 25 14:44:24 Updated: glib2-2.18.4-2.fc10.i386
Apr 25 14:45:32 Updated: libX11-1.1.5-3.fc10.i386
Apr 25 14:45:52 Updated: freetype-2.3.7-3.fc10.i386
Apr 25 14:46:10 Updated: nss-3.12.2.0-5.fc10.i386
Apr 25 14:46:40 Updated: 1:NetworkManager-glib-0.7.0.99-5.git20090326.fc10.i386
Apr 25 14:46:56 Updated: audit-libs-1.7.12-4.fc10.i386
Apr 25 14:47:07 Updated: libtdb-1.1.1-30.fc10.i386
Apr 25 14:47:13 Updated: libtalloc-1.2.0-30.fc10.i386
Apr 25 14:47:37 Updated: e2fsprogs-1.41.4-4.fc10.i386
Apr 25 14:48:39 Updated: xine-lib-1.1.16.3-2.fc10.i386
Apr 25 14:48:57 Updated: pciutils-libs-3.0.2-3.fc10.i386
Apr 25 14:49:06 Updated: lcms-libs-1.18-1.fc10.i386
Apr 25 14:49:24 Updated: libvolume_id-127-5.fc10.i386
Apr 25 14:49:37 Updated: portreserve-0.0.4-1.fc10.i386
Apr 25 14:50:06 Installed: poppler-utils-0.8.7-5.fc10.i386
Apr 25 14:51:22 Updated: gvfs-1.0.3-7.fc10.i386
Apr 25 14:51:33 Updated: kpartx-0.4.8-9.fc10.i386
Apr 25 14:52:05 Updated: device-mapper-multipath-0.4.8-9.fc10.i386
Apr 25 14:53:14 Updated: fftw-3.2.1-1.fc10.i386
Apr 25 14:53:36 Installed: libudev0-127-5.fc10.i386
Apr 25 14:53:46 Updated: lcms-1.18-1.fc10.i386
Apr 25 14:54:02 Updated: pciutils-3.0.2-3.fc10.i386
Apr 25 14:54:28 Updated: xine-lib-pulseaudio-1.1.16.3-2.fc10.i386
Apr 25 14:54:53 Updated: audit-libs-python-1.7.12-4.fc10.i386
Apr 25 14:55:20 Updated: gnupg2-2.0.10-1.fc10.i386
Apr 25 14:57:36 Updated: konq-plugins-4.2.2-1.fc10.i386
Apr 25 14:58:21 Updated: alsa-utils-1.0.19-2.fc10.i386
Apr 25 14:58:39 Updated: 2:ntfs-3g-2009.4.4-1.fc10.i386
Apr 25 15:00:42 Updated: cmake-2.6.3-3.fc10.i386
Apr 25 15:01:21 Updated: crontabs-1.10-26.fc10.noarch
Apr 25 15:02:25 Updated: freetype-devel-2.3.7-3.fc10.i386
Apr 25 15:05:15 Updated: libX11-devel-1.1.5-3.fc10.i386
Apr 25 15:08:46 Updated: cjkunifonts-uming-0.2.20080216.1-11.fc10.noarch
Apr 25 15:12:52 Updated: tzdata-2009e-3.fc10.noarch
Apr 25 15:13:35 Updated: fontpackages-filesystem-1.20-1.fc10.noarch
Apr 25 15:16:52 Updated: coreutils-6.12-20.fc10.i386
Apr 25 15:18:09 Updated: krb5-libs-1.6.3-18.fc10.i386
Apr 25 15:20:13 Updated: pam-1.0.4-4.fc10.i386
Apr 25 15:21:07 Updated: 1:cups-libs-1.3.10-1.fc10.i386
Apr 25 15:22:35 Updated: gtk2-2.14.7-7.fc10.i386
Apr 25 15:24:26 Updated: PyQt4-4.4.4-5.fc10.i386
Apr 25 15:25:46 Updated: PyKDE4-4.2.2-2.fc10.i386
Apr 25 15:26:55 Updated: rsyslog-3.21.10-2.fc10.i386
Apr 25 15:28:29 Updated: initscripts-8.86.3-1.i386
Apr 25 15:29:24 Updated: udev-127-5.fc10.i386
Apr 25 15:29:48 Updated: 4:perl-libs-5.10.0-68.fc10.i386
Apr 25 15:29:57 Updated: PackageKit-yum-plugin-0.3.15-2.fc10.i386
Apr 25 15:31:35 Updated: 1:NetworkManager-0.7.0.99-5.git20090326.fc10.i386
Apr 25 15:32:14 Updated: linuxwacom-0.8.0.3-8.fc10.i386
Apr 25 15:33:23 Updated: pygtk2-2.13.0-3.fc10.i386
Apr 25 15:35:04 Updated: amarok-2.0.2-3.fc10.i386
Apr 25 15:37:00 Updated: ghostscript-8.63-6.fc10.i386
Apr 25 15:37:18 Updated: postgresql-libs-8.3.7-1.fc10.i386
Apr 25 15:37:26 Updated: pygtk2-libglade-2.13.0-3.fc10.i386
Apr 25 15:38:13 Updated: 1:NetworkManager-gnome-0.7.0.99-5.git20090326.fc10.i386
Apr 25 15:39:59 Updated: 1:cups-1.3.10-1.fc10.i386
Apr 25 15:40:25 Updated: 1:quota-3.16-7.fc10.i386
Apr 25 15:40:55 Updated: anacron-2.3-66.fc10.i386
Apr 25 15:41:16 Updated: guidance-power-manager-4.2.0-1.fc10.i386
Apr 25 15:42:22 Updated: gparted-0.4.3-1.fc10.i386
Apr 25 15:42:48 Updated: curl-7.19.4-3.fc10.i386
Apr 25 15:43:16 Updated: gzip-1.3.12-8.fc10.i386
Apr 25 15:43:46 Updated: samba-winbind-3.2.11-0.30.fc10.i386
Apr 25 15:44:22 Updated: PackageKit-glib-0.3.15-2.fc10.i386
Apr 25 15:45:57 Updated: samba-common-3.2.11-0.30.fc10.i386
Apr 25 15:46:15 Updated: 1:perl-Module-Pluggable-3.60-68.fc10.i386
Apr 25 15:46:45 Updated: libsmbclient-3.2.11-0.30.fc10.i386
Apr 25 15:46:52 Updated: 3:perl-version-0.74-68.fc10.i386
Apr 25 15:47:09 Updated: PackageKit-udev-helper-0.3.15-2.fc10.i386
Apr 25 15:49:22 Updated: 4:perl-5.10.0-68.fc10.i386
Apr 25 15:50:20 Updated: PackageKit-0.3.15-2.fc10.i386
Apr 25 15:50:32 Updated: PackageKit-qt-0.3.15-2.fc10.i386
Apr 25 15:50:58 Updated: PackageKit-yum-0.3.15-2.fc10.i386
Apr 25 15:51:39 Updated: 1:perl-Pod-Simple-3.07-68.fc10.i386
Apr 25 15:51:50 Updated: 1:perl-Pod-Escapes-1.04-68.fc10.i386
Apr 25 15:52:33 Updated: logwatch-7.3.6-35.fc10.noarch

My other machines still have qt 4.4.3-15 (though my main box is using qt-copy that I built, that is less than a week old). I'm going to try running updates on the older one and see if I can isolate the problem package.

BTW, this is on an Asus EEE 901A with Intel 945GME Express Integrated Graphics Controller (so presumably, Intel video drivers).
Comment 3 Matthew Woehlke 2009-04-30 14:07:10 EDT
That was easy (to isolate). After updating to qt 4.5.0-14 on my other machine, that one is now broken as well. I don't appear to have the karma to reassign, but it seems bitmap font rendering in said qt version is hosed.

Total changes:

Apr 30 12:57:22 Installed: 1:qt-4.5.0-14.fc10.i386
Apr 30 12:58:14 Updated: 1:qt-x11-4.5.0-14.fc10.i386
Apr 30 12:58:16 Updated: 1:qt-mysql-4.5.0-14.fc10.i386
Apr 30 12:58:38 Erased: qgtkstyle
Comment 4 Rex Dieter 2009-04-30 15:14:56 EDT
terminus seems to work fine on my rawhide test box, let me try a few things...
Comment 5 Rex Dieter 2009-04-30 15:23:18 EDT
rats, I can't reproduce with qt-4.5.0-14.fc11, maybe this is f-10 specific (somehow).
Comment 6 Matthew Woehlke 2009-04-30 15:56:20 EDT
Rats indeed. Well I see it on two boxes, neither of which should be tweaked in any unusual ways to my knowledge. Given that my qt-copy seems okay I won't be the least bit surprised if it disappears again as soon as something changes (e.g. if the next qt build doesn't have the bug).

I'm going to try 4.5.1-3.fc10 from koji...
Comment 7 Matthew Woehlke 2009-04-30 17:00:27 EDT
I don't see the problem with 4.5.1-3.fc10.i586. (I also talked with some people on #fedora, from which I suspect this only affects the i586 rpm.)

FWIW, I see *part* of the above prompt; it looks like where Konsole is trying to draw exactly one character at a time, it works, but when it tries to draw more than one (including spaces), something goes wrong.
Comment 8 Kevin Kofler 2009-04-30 17:05:58 EDT
Cannot reproduce with qt-4.5.0-14.fc9.i386 either.
Comment 9 Matthew Woehlke 2009-04-30 17:27:11 EDT
I dug out not-built-from-qt-copy designer-qt4 to test on my main box (also 4.5.0-14.f10.i386)... and no problems there either. It's definitely qt tickling something, but so far it's only breaking when using the X server stack on my Asus as well. I guess we need someone else with an Eee 900A (or at least using the Intel X video drivers) to test.
Comment 10 Steven M. Parrish 2009-06-28 19:44:23 EDT
Since this appears to only be a problem on your intel gpu based system it is more than likely a driver issue.  Will reassign there for the moment.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Rex Dieter 2009-09-21 00:04:32 EDT
Just wondering, is this still reproducible with latest updates?
Comment 12 Matthew Woehlke 2009-09-21 12:37:06 EDT
Haven't seen it in a long time. It was only ever reproducible with that one specific build of Qt to begin with... (Also, the machine in question is now running F11.)
Comment 13 Rex Dieter 2009-09-21 13:14:15 EDT
I figured as much, I'll take the liberty of closing this (for now, at least until we find someone else seeing this).

Note You need to log in before you can comment on or make changes to this bug.